/////////////////////////////////////////////////////////////////////////////
///
/// @file RegTypes.h
///
/// @author nobody
///
/// Copyright (c) 2005-2017, Parallels International GmbH
/// Copyright (c) 2017-2019 Virtuozzo International GmbH, All rights reserved.
///
/// This file is part of Virtuozzo Core. Virtuozzo Core is free
/// software; you can redistribute it and/or modify it under the terms
/// of the GNU General Public License as published by the Free Software
/// Foundation; either version 2 of the License, or (at your option) any
/// later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program; if not, write to the Free Software
/// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
/// 02110-1301, USA.
///
/// Our contact details: Virtuozzo International GmbH, Vordergasse 59, 8200
/// Schaffhausen, Switzerland.
///
///////////////////////////////////////////////////////////////////////////////

#ifndef	__REG__TYPES__H__
#define	__REG__TYPES__H__

enum
{
	// No value type
	RT_NONE,
	// Unicode nul terminated string
	RT_SZ,
	// Unicode nul terminated string + env
	RT_EXPAND_SZ,
	// Free form binary
	RT_BINARY,
	// 32-bit number
	RT_DWORD,
	// 32-bit number (big endian)
	RT_DWORD_BIG_ENDIAN,
	// Symbolic Link (unicode)
	RT_LINK,
	// Multiple Unicode strings
	RT_MULTI_SZ,
	// Resource list in the resource map
	RT_RESOURCE_LIST,
	// Resource list in the hardware description
	RT_FULL_RESOURCE_DESCRIPTOR,
	RT_RESOURCE_REQUIREMENTS_LIST,
	// 64-bit number
	RT_QWORD,
};

#endif // __REG__TYPES__H__
